//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package nc.bs.mmpub.rule;

import nc.bs.framework.common.NCLocator;
import nc.impl.pubapp.pattern.rule.IRule;
import nc.itf.mmpsc.pscsettle.ISettleBusiness;
import nc.util.mmf.framework.base.MMArrayUtil;
import nc.vo.mmpsc.pscsettle.entity.AggSettleVO;
import nc.vo.pub.BusinessException;
import nccloud.api.so.m30.IAPISaleOrderMaitain;

public class MMVOToAPRule implements IRule<AggSettleVO> {

    public MMVOToAPRule(AggSettleVO[] originBills) {
    }



    public void process(AggSettleVO[] vos) {
        if (!MMArrayUtil.isEmpty(vos)) {
            ISettleBusiness settleBusiness= (ISettleBusiness) NCLocator.getInstance().lookup(ISettleBusiness.class);

            try {
                settleBusiness.toAP(vos);
            } catch (BusinessException e) {
                throw new RuntimeException(e);
            }
        }
    }

    protected String getCheckField() {
        return null;
    }
}
